<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Pages\Components\**" />
    <Content Remove="Pages\Components\**" />
    <EmbeddedResource Remove="Pages\Components\**" />
    <None Remove="Pages\Components\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Pages\Editor\EditorMain.razor.cs" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="Pages\Editor\EditorMain.razor" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="14.0.0" />
    <PackageReference Include="Blazor.LocalStorage.WebAssembly" Version="8.0.0" />
    <PackageReference Include="Blazored.TextEditor" Version="1.1.3" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.12" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.12" PrivateAssets="all" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Authentication" Version="8.0.12" />
    <PackageReference Include="Microsoft.AspNetCore.WebUtilities" Version="8.0.16" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="9.0.5" />
    <PackageReference Include="MudBlazor" Version="8.6.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\EmailLib\EmailLib.csproj" />
    <ProjectReference Include="..\Entities\Entities.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Pages\Exam\TemplateCard\" />
  </ItemGroup>

</Project>
